gsl::const_vector_iterator Class Reference

`#include <mia/core/gsl_iterator.hh>`

## Public Types

typedef size_t | difference_type
typedef const double * | pointer
typedef const double & | reference
typedef const double | value_type

## Public Member Functions

| const_vector_iterator ()
| const_vector_iterator (const const_vector_iterator &other)=default
| const_vector_iterator (const double *base, int stride)
| const_vector_iterator (const vector_iterator &other)
bool | operator!= (const const_vector_iterator &other) const
const double & | operator* () const
const_vector_iterator & | operator++ ()
const_vector_iterator | operator++ (int)
const_vector_iterator & | operator+= (int dist)
difference_type | operator- (const const_vector_iterator &other)
const_vector_iterator & | operator-- ()
const_vector_iterator | operator-- (int)
const_vector_iterator & | operator-= (int dist)
const double * | operator-> () const
bool | operator< (const const_vector_iterator &other) const
bool | operator<= (const const_vector_iterator &other) const
bool | operator== (const const_vector_iterator &other) const
bool | operator> (const const_vector_iterator &other) const
bool | operator>= (const const_vector_iterator &other) const
const double & | operator[] (int idx) const

## Detailed Description

Definition at line 170 of file gsl_iterator.hh.

## Member Typedef Documentation

## difference_type

typedef size_t gsl::const_vector_iterator::difference_type

Definition at line 176 of file gsl_iterator.hh.

## pointer

typedef const double* gsl::const_vector_iterator::pointer

Definition at line 174 of file gsl_iterator.hh.

## reference

typedef const double& gsl::const_vector_iterator::reference

Definition at line 175 of file gsl_iterator.hh.

## value_type

typedef const double gsl::const_vector_iterator::value_type

Definition at line 173 of file gsl_iterator.hh.

## Constructor & Destructor Documentation

## const_vector_iterator() [1/4]

gsl::const_vector_iterator::const_vector_iterator | ( | const double * | base,
|  | int | stride )

inline

Definition at line 179 of file gsl_iterator.hh.

Referenced by const_vector_iterator(), operator!=(), operator++(), operator++(), operator+=(), operator-(), operator--(), operator--(), operator-=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## const_vector_iterator() [2/4]

gsl::const_vector_iterator::const_vector_iterator | ( | const const_vector_iterator & | other | ) |

default

References const_vector_iterator().

## const_vector_iterator() [3/4]

gsl::const_vector_iterator::const_vector_iterator | ( | const vector_iterator & | other | ) |

inline

Definition at line 186 of file gsl_iterator.hh.

## const_vector_iterator() [4/4]

gsl::const_vector_iterator::const_vector_iterator | ( |  | ) |

inline

Definition at line 192 of file gsl_iterator.hh.

## Member Function Documentation

## operator!=()

bool gsl::const_vector_iterator::operator!= | ( | const const_vector_iterator & | other | ) | const

inline

Definition at line 263 of file gsl_iterator.hh.

References const_vector_iterator().

## operator*()

const double & gsl::const_vector_iterator::operator* | ( |  | ) | const

inline

Definition at line 198 of file gsl_iterator.hh.

## operator++() [1/2]

const_vector_iterator & gsl::const_vector_iterator::operator++ | ( |  | ) |

inline

Definition at line 208 of file gsl_iterator.hh.

References const_vector_iterator().

## operator++() [2/2]

const_vector_iterator gsl::const_vector_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 214 of file gsl_iterator.hh.

References const_vector_iterator().

## operator+=()

const_vector_iterator & gsl::const_vector_iterator::operator+= | ( | int | dist | ) |

inline

Definition at line 234 of file gsl_iterator.hh.

References const_vector_iterator().

## operator-()

difference_type gsl::const_vector_iterator::operator- | ( | const const_vector_iterator & | other | ) |

inline

Definition at line 246 of file gsl_iterator.hh.

References const_vector_iterator().

## operator--() [1/2]

const_vector_iterator & gsl::const_vector_iterator::operator-- | ( |  | ) |

inline

Definition at line 221 of file gsl_iterator.hh.

References const_vector_iterator().

## operator--() [2/2]

const_vector_iterator gsl::const_vector_iterator::operator-- | ( | int |  | ) |

inline

Definition at line 227 of file gsl_iterator.hh.

References const_vector_iterator().

## operator-=()

const_vector_iterator & gsl::const_vector_iterator::operator-= | ( | int | dist | ) |

inline

Definition at line 240 of file gsl_iterator.hh.

References const_vector_iterator().

## operator->()

const double * gsl::const_vector_iterator::operator-> | ( |  | ) | const

inline

Definition at line 203 of file gsl_iterator.hh.

## operator<()

bool gsl::const_vector_iterator::operator< | ( | const const_vector_iterator & | other | ) | const

inline

Definition at line 269 of file gsl_iterator.hh.

References const_vector_iterator().

## operator<=()

bool gsl::const_vector_iterator::operator<= | ( | const const_vector_iterator & | other | ) | const

inline

Definition at line 275 of file gsl_iterator.hh.

References const_vector_iterator().

## operator==()

bool gsl::const_vector_iterator::operator== | ( | const const_vector_iterator & | other | ) | const

inline

Definition at line 257 of file gsl_iterator.hh.

References const_vector_iterator().

## operator>()

bool gsl::const_vector_iterator::operator> | ( | const const_vector_iterator & | other | ) | const

inline

Definition at line 281 of file gsl_iterator.hh.

References const_vector_iterator().

## operator>=()

bool gsl::const_vector_iterator::operator>= | ( | const const_vector_iterator & | other | ) | const

inline

Definition at line 287 of file gsl_iterator.hh.

References const_vector_iterator().

## operator[]()

const double & gsl::const_vector_iterator::operator[] | ( | int | idx | ) | const

inline

Definition at line 252 of file gsl_iterator.hh.

The documentation for this class was generated from the following file:

- gsl_iterator.hh